Opera安装设置指南

出自Ubuntu中文

目录

[隐藏]

[编辑] Opera浏览器安装设置指南


原文出处:https://wiki.ubuntu.com/OperaBrowser?highlight=%28opera%29

原文作者:ubuntu.com

授权许可:创作共用协议

翻译人员:XueCan

校对人员:无

适用版本:Ubuntu 5.10 Breezy Badger, Ubuntu 5.04 Hoary Hedgehog, Ubuntu 4.10 Warty Warthog

文章状态:译完



本文介绍如何在 Ubuntu 中安装和配置 Opera 浏览器,本文是基于这个 Ubuntu 论坛讨论的,翻译中增加了对中文的支持等内容。

请注意目前的 Opera 浏览器是有广告的免费软件,当然你可以付费获得额外的服务支持。

[编辑] 下载最新的针对 Ubuntu 的 .deb 包

目前 Opera 提供了针对 Ubuntu 的 .deb 文件。通用的 .deb 文件应该也可以工作。

Opera 提供了两种基本安装类型:使用静态库和共享库。它们的区别是 Opera 是如何链接到 Qt 库的。在共享库版本中,Opera 使用你机器上的 Qt,而静态库的版本则使用 Opera 内建的 Qt。静态库版本下载的体积更大,在菜单和文件选择器使用了点阵字库(没有抗锯齿功能)。动态的编译版本集成到系统中,这样它使用你其它 Qt 应用程序相同的抗锯齿设置。静态的编译版本在浏览器窗口和其它用户界面还是支持抗锯齿功能。静态版本可能更快和更稳定,至少 Opera 的爱好者已经体验了很长时间。你可以都试试,因为在 Ubuntu 中安装和卸载软件相当容易。

请注意 Opera 提供的针对 Ubuntu 5.10 的版本似乎修正了 Breezy 中现有的 Opera 包的不少 bug。

请访问Opera 官方下载网站,选择你需要的包并选择一个下载镜像站点。

你也可以访问Opera 预览和 Beta 网站以获得最新的预览版本。

保存你下载的文件到某个你能够找到的地方,例如桌面或者你的主文件夹中。

[编辑] 安装 Opera

打开一个终端,输入:

sudo dpkg -i opera<Tab 键>.deb

注:Tab 键能够自动帮助你输入较长的复杂的文件名。前提是你在正确的目录中,只要输入“opera”并在上述命令说明<Tab 键>的地方按下键盘上的 Tab,Ubuntu 会自动帮助你输入完整的文件名。

安装 Opera 需要一点点的时间。

如果你得到一些信息显示依赖的包未安装,请输入:

sudo apt-get -f install

apt 将会安装这些缺失的包。

[编辑] Ubuntu 化 Opera(完成安装)

与许多来自 Ubuntu 软件仓库的程序不同,Opera 不会把自己添加到桌面菜单中。当然这很好解决。此外,我们还要让 Opera 使用 Ubuntu 默认的文件处理器。

回到终端中:

sudo gedit /usr/share/applications/opera.desktop

粘贴下列的文本:

[Desktop Entry]
Encoding=UTF-8
Name=Opera Web Browser
GenericName=Web Browser
Comment=Simply the Best Internet Experience
Exec=opera %u
Terminal=false
MultipleArgs=true
Type=Application
Icon=/usr/X11R6/include/X11/bitmaps/opera.xpm
Categories=Application;Network
MimeType=text/html;image/gif;image/jpeg;image/png

保存文件,回到终端,输入:

mkdir ~/.opera
gedit ~/.opera/filehandler.ini

粘贴下列的文本:

Opera Preferences version 2.0
; Do not edit this file while Opera is running
; This file is stored in UTF-8 encoding
[Settings]
Default File Handler=gnome-open ,1
Default Directory Handler=gnome-open ,1

保存文件并退出 gedit。 设置 ~/.opera/filehandler.ini 的工作每个用户都需要执行一次。

[编辑] 替换方案——通过 apt-get 安装 Opera

将下列信息添加到你的 apt sources.list(/etc/apt/sources.list) 文件:

deb http://deb.opera.com/opera/ unstable non-free

或者,你不需要最新的版本可以选择稳定的版本:

deb http://deb.opera.com/opera/ stable non-free
.

修改后保存 sources.list 文件,然后在终端中输入:

sudo apt-get update

接下来:

sudo apt-get install opera

所有需要的依赖关系将会被处理,并且你不需要像上面所述创建桌面文件,这些都自动完成了。(译注:事实似乎并非如此,建议你将本文“Ubuntu 化 Opera(完成安装)”的部分进行一遍。)

另一个好处是你不需要持续关注未来的升级,它会自动完成。

[编辑] Opera 的 Gnome 外观

你可以点击这里预览效果。

如果你正在使用 Opera,你可以点击这里马上安装该外观。

[编辑] 设置 Opera 为默认浏览器

要将 Opera 设置为系统默认的浏览器和邮件客户端,请这么做:

  • 进入“系统 -> 首选项 -> 首选应用程序”
  • 在“Web 浏览器”标签页选择“自定义”并输入:
opera -newpage "%s"
  • 在“邮件阅读器”标签页选择“自定义”并输入:
opera -newmail "%s"

[编辑] 启动浏览器

你可以通过“应用程序 -> Internet -> Opera Web Browser”启动这个非常棒的浏览器了。

[编辑] 常见问题

[编辑] 缺失的包

如果你选择了 qt-shared 的版本,你需要 libqt3c102-mt 包。在 Ubuntu Breezy 中是 libqt3-mt 。

[编辑] Operamotif 问题

将 multiverse 源加入 sources.list,然后:

sudo apt-get install libmotif3 lesstif1 lesstif2 motif-clients

你可能还需要这么做:

cd /usr/lib; cp libXm.so.2 libXm.so.3

[编辑] Java 问题

如果你在终端中启动 Opera 你可能会看到下面的错误信息,如果你的 Java 不能正确工作地话:

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.

要修正该错误,请在下面位置更正 Java 的路径:Tools -> Preferences -> Advanced Tab -> Content -> Java options. 它看起来像是:

/usr/lib/j2re1.5-sun/lib/i386/

你的实际的 Java 运行时版本可能有些不同。直到下次启动 Opera 这个改动才会生效。

使用 [1] 来测试你的 Java 虚拟机(JVM)。

当然你需要安装 Java,请参阅 [2] 以了解如何进行。

[编辑] 常见插件问题

要让 Opera 能使用插件,插件必须安装到 Opera 的插件目录中。你可以通过“Tools -> Preferences -> Advanced -> Content -> Plugin Options”添加插件目录。添加目录的描述并按下“Find Plugins”。你可能需要重启 Opera 以启用这些插件。

一些常用的插件的 .so 文件:

Shockwave Flashlibflashplayer.so
Acroreadnppdf.so
GXinegxineplugin.so

请访问Opera's Linux Plugin Page

[编辑] Flash 问题

Macromedia Flash player 使用 OSS 输出声音,这样当其它应用程序使用声音的时候或者 /dev/dsp 不存在的时候,它就不会发出声音。一个可行的解决方案是通过一个音效守护程序封装启动 Opera,这样发送到 /dev/dsp 的声音将被音效守护程序截获。可以安装 arts 或者 esd-clients:

sudo apt-get install arts

sudo apt-get install esd-clients

通过相应的守护程序启动 Opera:

esddsp opera

artsdsp opera

如果你使用 KDE,arts 是默认的音效守护程序,而 esd 是 GNOME 默认的。两者都能协同工作:

artsdsp esd &

esddsp artswrapper &

[编辑] Acroread 插件问题

Acroread 插件默认的不能在 Opera 8 中工作。你必须修改 Opera 启动脚本来让其工作起来。进入终端,输入:

sudo gedit /usr/bin/opera

OPERA_LD_PRELOAD="${LD_PRELOAD}"
export OPERA_LD_PRELOAD

替换为

LD_PRELOAD="libXm.so.2:${LD_PRELOAD}"
export LD_PRELOAD
OPERA_LD_PRELOAD="${LD_PRELOAD}"
export OPERA_LD_PRELOAD

启动 Opera 并打开一个 pdf 文件。当它询问你要如何做时,点击“Change”按钮,将会一个文件类型关联的对话框,然后选择相关的插件(例如 nppdf.so)。

[编辑] Opera 段错误和静态版本下 Java 崩溃的问题

如果你的 Operan 启动为 segfault,或者你使用静态版本时 Java 出现问题,请这么做:

1. 编辑 ~/.opera/pluginpath.ini,修改为这样:

[Paths]
/usr/lib/opera/plugins=1
/usr/lib/mozilla/plugins=0
/usr/lib/netscape/plugins-libc6=0

2. 创建符号链接,从 /usr/lib/mozilla/plugins/libflashplayer.so 到 /usr/lib/opera/plugins/libflashplayer.so

3. 检查你的 ~/.opera/javapath.txt,当使用 Blackdown Java 时,它应该是 /usr/lib/j2se/1.4/jre/lib/i386

该解决方案由 rwf 提供,基于这个论坛讨论

[编辑] 汉化

  • 请访问这里,下载对应你的 Opera 版本的语言文件。
  • 进入“Tools > Preferences”,在“General”中,你会找到语言的设置,点击“Details”。
  • 点击“Choose”并找到你下载的语言文件。
  • 点击“OK”并关闭对话框。

[编辑] Credits

GNOME 外观: mneptok

中文语言包:Funda Wang